### Method

# Gdk Toplevelfocus

#### Declaration [src]

    void
    gdk_toplevel_focus (
      GdkToplevel* toplevel,
      guint32 timestamp
    )

#### Description [src]

Sets keyboard focus to `surface`.

In most cases, gtk_window_present_with_time() should be used on a GtkWindow, rather than calling this function.

#### Parameters

`timestamp`

  Type: `guint32`

  Timestamp of the event triggering the surface focus.